Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
EncloseNode Struct Reference

`#include <regparse.h>`

## Data Fields
NodeBase | base
int | state
int | type
int | regnum
OnigOptionType | option
struct _Node * | target
AbsAddrType | call_addr
OnigDistance | min_len
OnigDistance | max_len
int | char_len
int | opt_count

## Detailed Description

Definition at line 192 of file regparse.h.

## Field Documentation

NodeBase EncloseNode::base

Definition at line 193 of file regparse.h.

AbsAddrType EncloseNode::call_addr

Definition at line 199 of file regparse.h.

Referenced by compile_enclose_node(), and unset_addr_list_fix().

int EncloseNode::char_len

Definition at line 203 of file regparse.h.

Referenced by get_char_length_tree1().

OnigDistance EncloseNode::max_len

Definition at line 202 of file regparse.h.

Referenced by get_max_match_length(), and optimize_node_left().

OnigDistance EncloseNode::min_len

Definition at line 201 of file regparse.h.

Referenced by get_min_match_length(), and optimize_node_left().

int EncloseNode::opt_count

Definition at line 204 of file regparse.h.

Referenced by optimize_node_left().

OnigOptionType EncloseNode::option

Definition at line 197 of file regparse.h.

Referenced by compile_length_option_node(), compile_option_node(), and optimize_node_left().

int EncloseNode::regnum

Definition at line 196 of file regparse.h.

Referenced by compile_enclose_node(), compile_length_enclose_node(), noname_disable_map(), optimize_node_left(), and setup_tree().

int EncloseNode::state

Definition at line 194 of file regparse.h.

Referenced by compile_enclose_node().

struct _Node* EncloseNode::target

Definition at line 198 of file regparse.h.

Referenced by check_type_tree(), compile_enclose_node(), compile_length_enclose_node(), compile_length_option_node(), compile_option_node(), get_char_length_tree1(), get_head_value_node(), get_max_match_length(), get_min_match_length(), next_setup(), noname_disable_map(), optimize_node_left(), quantifiers_memory_node_info(), setup_tree(), subexp_inf_recursive_check_trav(), and subexp_recursive_check_trav().

int EncloseNode::type

Definition at line 195 of file regparse.h.

Referenced by check_type_tree(), compile_enclose_node(), compile_length_enclose_node(), get_char_length_tree1(), get_head_value_node(), get_max_match_length(), get_min_match_length(), next_setup(), noname_disable_map(), optimize_node_left(), quantifiers_memory_node_info(), and setup_tree().

The documentation for this struct was generated from the following file:

- regparse.h